REST APIWallet & TransactWallet

GET

Get a count of all wallets you can access, including:

  • Wallets you have a role on (admin, spender, or viewer).
  • Wallets in enterprises you belong to that have the View All Wallets option enabled from the enterprise settings.

You can use this endpoint in conjunction with the List wallets endpoint to enable paginating a list of wallets. For example, once you get the wallets count, you can use the total count to calculate the number of pages you need in order to display all the wallets.

Query Params

  • id array of strings
    Filter by ID.
  • coin array of strings
    Filter by coin
  • enterprise array of strings
    Filter by enterprise
  • type array of string enums
    Filter by wallet type.
    backingcoldcustodialcustodialPairedhotadvancedtrading
  • deleted boolean
    Filter by deleted state.
  • labelContains string
    Filter by label substring
  • bitgoOrg string enum
    Return only wallets belong to the BitGo trust org
    BitGo TrustBitGo New YorkBitGo GermanyBitGo SwitzerlandBitGo Europe ApSFrankfurt DE TrustBitGo SingaporeBitGo KoreaBitGo Custody MENA FZEBitGo IndiaBitGo Sister Trust 1

Responses

200
OK

Response Body

object

  • count number required
    The number of wallets that match the query.

    >= 0

400
Bad Request

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id